Bug 188282 - Crash with SCIM enabled
Crash with SCIM enabled
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gtkhtml3 (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-07 12:38 EDT by Dan Williams
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 13:32:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2006-04-07 12:38:07 EDT
SCIM appears to crash gtkhtml3 because the IM triggers an event on the widget
after the widget's private data has been destroyed.

Appears to be triggered by a SCIM or evolution update in the past week or so.

Thread 1 (Thread -1209043280 (LWP 2312)):
#0  0x00350402 in ?? ()
#1  0x005f7c3b in __waitpid_nocancel () from /lib/libpthread.so.0
#2  0x07068086 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:792
#3  0x0805df69 in segv_redirect (sig=11) at main.c:423
#4  <signal handler called>
#5  0x0721bcbd in gtk_html_im_preedit_changed_cb (context=0x9ca51c0,
html=0x9b5a800) at gtkhtml.c:3184
#6  0x006c31c9 in IA__g_cclosure_marshal_VOID__VOID (closure=0xa3be848,
return_value=0x0, n_param_values=1, param_values=0xbfb0f16c,
invocation_hint=0xbfb0f07c,
    marshal_data=0x721bca0) at gmarshal.c:77
#7  0x006b5f6d in IA__g_closure_invoke (closure=0xa3be848, return_value=0x0,
n_param_values=1, param_values=0xbfb0f16c, invocation_hint=0xbfb0f07c) at
gclosure.c:490
#8  0x006c6a3d in signal_emit_unlocked_R (node=0x99ca860, detail=0,
instance=0x9ca51c0, emission_return=0x0, instance_and_params=0xbfb0f16c) at
gsignal.c:2438
#9  0x006c7f47 in IA__g_signal_emit_valist (instance=0x9ca51c0, signal_id=275,
detail=0, var_args=0xbfb0f3b8 "M9_") at gsignal.c:2197
#10 0x006c9d7e in IA__g_signal_emit_by_name (instance=0x9ca51c0,
detailed_signal=0xb98a4e "preedit_changed") at gsignal.c:2265
#11 0x00a608e7 in gtk_im_multicontext_preedit_changed_cb (slave=0x9b58720,
multicontext=0x9ca51c0) at gtkimmulticontext.c:446
#12 0x006c31c9 in IA__g_cclosure_marshal_VOID__VOID (closure=0xa44f1c8,
return_value=0x0, n_param_values=1, param_values=0xbfb0f5fc,
invocation_hint=0xbfb0f50c,
    marshal_data=0xa608c0) at gmarshal.c:77
#13 0x006b5f6d in IA__g_closure_invoke (closure=0xa44f1c8, return_value=0x0,
n_param_values=1, param_values=0xbfb0f5fc, invocation_hint=0xbfb0f50c) at
gclosure.c:490
#14 0x006c6a3d in signal_emit_unlocked_R (node=0x99ca860, detail=0,
instance=0x9b58720, emission_return=0x0, instance_and_params=0xbfb0f5fc) at
gsignal.c:2438
#15 0x006c7f47 in IA__g_signal_emit_valist (instance=0x9b58720, signal_id=275,
detail=0, var_args=0xbfb0f848 "U�_\004\v\225d") at gsignal.c:2197
#16 0x006c9d7e in IA__g_signal_emit_by_name (instance=0x9b58720,
detailed_signal=0x45ffe67 "preedit_changed") at gsignal.c:2265
#17 0x045f93ef in scim_bridge_client_kernel_impl_set_preedit_attributes () from
/usr/lib/gtk-2.0/immodules/im-scim-bridge.so
#18 0x0062a6e1 in g_idle_dispatch (source=0xa3c3fa0, callback=0x45f93a0
<scim_bridge_client_kernel_impl_set_preedit_attributes+704>, user_data=0x9b58720)
    at gmain.c:3796
#19 0x0062c09d in IA__g_main_context_dispatch (context=0x9867b18) at gmain.c:1916
#20 0x0062f32f in g_main_context_iterate (context=0x9867b18, block=1,
dispatch=1, self=0x984ca58) at gmain.c:2547
#21 0x0062f6d9 in IA__g_main_loop_run (loop=0x98ad690) at gmain.c:2751
#22 0x059e6b83 in bonobo_main () from /usr/lib/libbonobo-2.so.0
#23 0x0805dd90 in main (argc=2, argv=0xbfb0fca4) at main.c:611
#24 0x00fcf7e4 in __libc_start_main () from /lib/libc.so.6
#25 0x0804fc11 in _start ()
(gdb) frame 5
#5  0x0721bcbd in gtk_html_im_preedit_changed_cb (context=0x9ca51c0,
html=0x9b5a800) at gtkhtml.c:3184
3184            gboolean state = html->priv->im_block_reset;
(gdb) print html
$1 = (GtkHTML *) 0x9b5a800
(gdb) print *html
$2 = {layout = {container = {widget = {object = {parent_instance =
{g_type_instance = {g_class = 0x9b4ec98}, ref_count = 0, qdata = 0x0}, flags =
2690560},
        private_flags = 15376, state = 0 '\0', saved_state = 0 '\0', name = 0x0,
style = 0x0, requisition = {width = 1250, height = 480}, allocation = {x = 1, y
= 81,
          width = 1, height = 1}, window = 0x0, parent = 0x0}, focus_child =
0x0, border_width = 0, need_resize = 0, resize_mode = 0, reallocate_redraws = 0,
      has_focus_chain = 0}, children = 0x0, width = 1250, height = 480,
hadjustment = 0xa486698, vadjustment = 0xa4866d8, bin_window = 0x0,
    visibility = GDK_VISIBILITY_PARTIAL, scroll_x = 0, scroll_y = 0,
freeze_count = 0}, iframe_parent = 0x0, frame = 0x0, editor_api = 0x0,
editor_data = 0x0,
  engine = 0x0, pointer_url = 0x0, hand_cursor = 0x0, ibeam_cursor = 0x0,
selection_x1 = 0, selection_y1 = 0, in_selection = 0, in_selection_drag = 0,
debug = 0,
  allow_selection = 1, hadj_connection = 0, vadj_connection = 0, binding_handled
= 0, priv = 0x0}
(gdb) quit



Run log with some debug info:

[localhost gtkhtml-3.10.0]# /usr/bin/evolution
CalDAV Eplugin starting up ...

(evolution:13045): camel-WARNING **: camel_exception_get_id called with NULL
parameter.
html->priv (0x88f1b68) created
html->priv (0x8f3d308) created

(evolution:13045): gtkhtml-CRITICAL **: html_engine_get_document_font_style:
assertion `engine->editable' failed

(evolution:13045): gtkhtml-CRITICAL **: html_engine_set_font_style: assertion
`e->editable' failed
html->priv (0x8f3d308) cleared

(evolution:13045): gtkhtml-CRITICAL **: gtk_html_im_preedit_changed_cb:
assertion `html->priv != NULL' failed
html->priv (0x8f86308) created
html->priv (0x8f86308) cleared
html->priv (0x88f1b68) cleared



I patched it in 3.10.0-2 by doing a g_return_if_fail (html->priv != NULL), but
that's really a hack.
Comment 1 Matthew Miller 2007-04-06 12:43:21 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 2 Matěj Cepl 2007-08-31 11:21:58 EDT
The distribution against which this bug was reported is no longer supported,
could you please reproduce this with the updated version of the currently
supported distribution (Fedora Core 6, or Fedora 7, or Rawhide)? If this issue
turns out to still be reproducible, please let us know in this bug report.  If
after a month's time we have not heard back from you, we will have to close this
bug as INSUFFICIENT_DATA.

Setting status to NEEDINFO, and awaiting information from the reporter.

Thanks in advance.
Comment 3 Matthew Barnes 2007-10-02 13:32:57 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.